Skip to content
Start here

Get latest Internet traffic anomalies

client.Radar.TrafficAnomalies.Get(ctx, query) (*TrafficAnomalyGetResponse, error)
GET/radar/traffic_anomalies

Retrieves the latest Internet traffic anomalies, which are signals that might indicate an outage. These alerts are automatically detected by Radar and manually verified by our team.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query TrafficAnomalyGetParams
ASN param.Field[int64]optional

Filters results by Autonomous System. Specify a single Autonomous System Number (ASN) as integer.

DateEnd param.Field[Time]optional

End of the date range (inclusive).

formatdate-time
DateRange param.Field[string]optional

Filters results by date range.

DateStart param.Field[Time]optional

Start of the date range (inclusive).

formatdate-time
Format param.Field[TrafficAnomalyGetParamsFormat]optional

Format in which results will be returned.

const TrafficAnomalyGetParamsFormatJson TrafficAnomalyGetParamsFormat = "JSON"
const TrafficAnomalyGetParamsFormatCsv TrafficAnomalyGetParamsFormat = "CSV"
Limit param.Field[int64]optional

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
Location param.Field[string]optional

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
Offset param.Field[int64]optional

Skips the specified number of objects before fetching the results.

minimum0
Origin param.Field[string]optional

Filters results by origin.

maxLength100
Status param.Field[TrafficAnomalyGetParamsStatus]optional
const TrafficAnomalyGetParamsStatusVerified TrafficAnomalyGetParamsStatus = "VERIFIED"
const TrafficAnomalyGetParamsStatusUnverified TrafficAnomalyGetParamsStatus = "UNVERIFIED"
Type param.Field[[]TrafficAnomalyGetParamsType]optional

Filters results by entity type (LOCATION, AS, or ORIGIN).

const TrafficAnomalyGetParamsTypeLocation TrafficAnomalyGetParamsType = "LOCATION"
const TrafficAnomalyGetParamsTypeAs TrafficAnomalyGetParamsType = "AS"
const TrafficAnomalyGetParamsTypeOrigin TrafficAnomalyGetParamsType = "ORIGIN"
ReturnsExpand Collapse
type TrafficAnomalyGetResponse struct{…}
TrafficAnomalies []TrafficAnomalyGetResponseTrafficAnomaly
StartDate string
Status string
Type string
UUID string
ASNDetails TrafficAnomalyGetResponseTrafficAnomaliesASNDetailsoptional
ASN string
Name string
Locations TrafficAnomalyGetResponseTrafficAnomaliesASNDetailsLocationsoptional
Code string
Name string
EndDate Timeoptional
formatdate-time
LocationDetails TrafficAnomalyGetResponseTrafficAnomaliesLocationDetailsoptional
Code string
Name string
OriginDetails TrafficAnomalyGetResponseTrafficAnomaliesOriginDetailsoptional
Name string
Origin string
VisibleInDataSources []stringoptional

Get latest Internet traffic anomalies

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  trafficAnomaly, err := client.Radar.TrafficAnomalies.Get(context.TODO(), radar.TrafficAnomalyGetParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", trafficAnomaly.TrafficAnomalies)
}
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "trafficAnomalies": [
      {
        "startDate": "2023-08-02T23:15:00Z",
        "status": "UNVERIFIED",
        "type": "LOCATION",
        "uuid": "55a57f33-8bc0-4984-b4df-fdaff72df39d",
        "asnDetails": {
          "asn": "189",
          "name": "LUMEN-LEGACY-L3-PARTITION",
          "locations": {
            "code": "US",
            "name": "United States"
          }
        },
        "endDate": "2019-12-27T18:11:19.117Z",
        "locationDetails": {
          "code": "US",
          "name": "United States"
        },
        "originDetails": {
          "name": "us-east-1 Amazon Web Services",
          "origin": "amazon-us-east-1"
        },
        "visibleInDataSources": [
          "string"
        ]
      }
    ]
  },
  "success": true
}